export default rehypePrism;
export type Node = import('unist-util-visit').Node & {
    properties: any;
};
export type Parent = import('unist-util-visit').Parent & {
    properties: any;
};
export type Visitor = import('unist-util-visit').Visitor<Node>;
/**
 * Rehype plugin that highlights code blocks with refractor (prismjs)
 *
 * Set `showLineNumbers` to `true` to always display line number
 *
 * Set `ignoreMissing` to `true` to ignore unsupported languages and line highlighting when no language is specified
 */
export type RehypePrismOptions = {
    showLineNumbers?: boolean;
    ignoreMissing?: boolean;
};
/**
 * Rehype plugin that highlights code blocks with refractor (prismjs)
 *
 * Set `showLineNumbers` to `true` to always display line number
 *
 * Set `ignoreMissing` to `true` to ignore unsupported languages and line highlighting when no language is specified
 *
 * @typedef {{ showLineNumbers?: boolean, ignoreMissing?: boolean }} RehypePrismOptions
 * @param {RehypePrismOptions} options
 * @return {Visitor}
 */
declare function rehypePrism(options: RehypePrismOptions): Visitor;
